import os
from setuptools import find_packages, setup

os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__), os.pardir)))

with open(os.path.join('ticdesk', '_version.py'), 'rt') as version_file:
    exec(version_file.read())

setup(
    name='ticdesk',
    version=__version__,
    packages=find_packages(),
    include_package_data=True,
    author='Teckids e.V.',
    author_email='verein@teckids.org',
    install_requires=[
        'Django>=1.11',
        'django-cron',
        'django_extensions',
        'django-auth-ldap',
        'django-bootstrap4',
        'django-fa',
        'django-ldapdb>=1.3.1.dev0',
        'django-leaflet',
        'django-localflavor',
        'django-starfield',
        'django-filter',
        'django-tables2',
        'django-maintenance-mode',
        'geopy',
        'latex',
        'pexpect',
        'phonenumbers',
        'Pillow',
        'psycopg2-binary',
        'python-dateutil',
        'python-pam',
        'python-resize-image',
        'requests',
        'redis-collections'
    ],
    classifiers=[
        'Environment :: Web Environment',
        'Framework :: Django',
        'Framework :: Django :: 2.0',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Topic :: Internet :: WWW/HTTP',
        'Topic :: Internet :: WWW/HTTP :: Dynamic Content',
    ],
)
