from django.conf import settings
from django.conf.urls import include, url
from django.conf.urls.i18n import i18n_patterns
from django.conf.urls.static import static
from django.contrib import admin

from . import views

urlpatterns = i18n_patterns(
    url(r'^$', views.index, name='index'),
    url(r'^account/', include('ticdesk_account.urls', namespace='account')),
    url(r'^org/', include('ticdesk_org.urls', namespace='org')),
    url(r'^events/', include('ticdesk_events.urls', namespace='events')),
    url(r'^admin/', admin.site.urls),
    prefix_default_language=False)

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
