from django.contrib import auth
from django.shortcuts import redirect

from .models import TeckidsPerson


def check_current_person(get_response):
    def middleware(request):
        if request.user.is_authenticated:
            persons = TeckidsPerson.objects.filter(uid=request.user.username)
            if persons.count() == 0:
                # The person does no longer exist
                # It was probably deleted due to double sign-up
                # Terminate session
                auth.logout(request)
                return redirect('/')

        response = get_response(request)
        return response

    return middleware
