from base64 import b64encode
import hashlib
import os

from django.conf import settings
from django.utils.translation import ugettext as _
from pam import pam
import pexpect
import requests


def change_kerberos_password(uid, old_password, new_password):
    # Trigger PAM once to ensure password is correct
    ret = pam().authenticate(uid, old_password, service='ticdesk')
    if ret:
        # Do expect conversation with passwd as logged-in user
        child = pexpect.spawn('su -c passwd %s' % uid)
        # Password prompt from su
        child.expect('[Pp]assword: ')
        child.sendline(old_password)
        # Old password prompt from pam_sss
        child.expect('[Cc]urrent [Pp]assword: ')
        child.sendline(old_password)
        # New password prompt from pam_sss
        child.expect('[Nn]ew [Pp]assword: ')
        child.sendline(new_password)
        # Confirm new password prompt from pam_sss
        child.expect('[Rr]eenter new [Pp]assword: ')
        child.sendline(new_password)
        # Wait for result of password change request
        ret = child.expect(['passwd: password updated successfully',
                            'passwd: Authentication token manipulation error',
                            ': Password too short',
                            ': Password doesn\'t meet complexity requirement'])
        # Wait for process to exit
        child.wait()

        if ret == 1:
            return (False,
                    _('Unerwarteter Fehler beim Ändern des Passworts. Bitte versuche es in ein paar Minuten noch einmal.'))
        elif ret == 2:
            return (False, _('Das Passwort ist zu kurz.'))
        elif ret == 3:
            return (False,
                    _('Das Passwort enthält nicht genug verschiedene Zeichen.'))

        return (True, None)
    return (False, _('Das angegebene alte Passwort ist falsch!'))


def ssha(password):
    salt = os.urandom(4)
    h = hashlib.sha1(password.encode("utf-8"))
    h.update(salt)
    return "{SSHA}" + b64encode(h.digest() + salt).decode("utf-8")


def subscribe_mailinglist(listname, mail):
    form_data = {'email': mail, 'list': listname, 'action': 'subrequest', 'via_subrequest': 1}
    return requests.post(settings.WWS_POST_URL, data=form_data)
