from django.conf.urls import url

from . import views

app_name = 'ticdesk_events'

urlpatterns = [
    url(r'^events$', views.events, name='events'),
    url(r'^create$', views.create_event, name='create_event'),
    url(r'^register/(?P<cn>[a-z][a-z0-9-]+)$', views.register_event, name='register_event_by_cn'),
    url(r'^register/(?P<cn>[a-z][a-z0-9-]+)/additional$',
        views.register_event_additional, name='register_event_additional_by_cn'),
    url(r'^feedback/(?P<cn>[a-z][a-z0-9-]+)$', views.feedback_event, name='feedback_event_by_cn'),
    url(r'^edit/(?P<cn>[a-z][a-z0-9-]+)$', views.edit_event, name='edit_event_by_cn'),
    url(r'^events/manage$', views.manage_events, name='manage_events'),
]
