from django.conf.urls import url
from django.urls import path

from . import views

app_name = 'ticdesk_org'

urlpatterns = [
    url(r'^persons$', views.persons, name='persons'),
    url(r'^persons/(?P<group>[a-z][a-z0-9-]+)$', views.persons, name='persons_by_group'),
    url(r'^persons/(?P<group>[a-z][a-z0-9-]+)/contact$',
        views.group_contact, name='group_contact_by_group'),
    url(r'^person$', views.person, name='person'),
    url(r'^person/(?P<uid>[a-z][a-z0-9]+)$', views.person, name='person_by_uid'),
    url(r'^person/(?P<uid>[a-z][a-z0-9]+)/edit$', views.edit_user, name='edit_user_by_uid'),
    url(r'^person/(?P<uid>[a-z][a-z0-9]+)/guardians/add$',
        views.add_guardian, name='add_guardian_by_uid'),
    url(r'^map$', views.persons_map, name='map'),
    url(r'^voucher$', views.create_voucher, name='create_voucher'),
    url(r'^voucher/list$', views.vouchers, name='vouchers'),
    path('voucher/<int:voucher_id>/delete', views.delete_voucher, name='delete_voucher'),
    path('voucher/<int:voucher_id>/edit', views.edit_voucher, name='edit_voucher'),
]
